/* MODALS */

.s-modal {
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
  overflow: auto;
  z-index: 9999;
}

.sample-req-modal,
.need-login-modal,
.security-form-modal,
.share-social-modal {
  display: none;
  z-index: 999;
}

.s-modal-content {
  margin-top: 100px !important;
  width: 600px;
  background: #fff;
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  -ms-border-radius: 10px;
  -o-border-radius: 10px;
  border-radius: 10px;
}

.s-modal-close {
  top: 0;
  right: 0;
}

.s-modal-close button {
  width: 40px;
  height: 40px;
}

.s-modal-close button svg {
  width: 20px;
  height: 20px;
  color: #171b1c;
}

.s-modal-head {
  padding: 25px;
  background: #F8F9FA;
  -webkit-border-radius: 10px 10px 0 0;
  -moz-border-radius: 10px 10px 0 0;
  -ms-border-radius: 10px 10px 0 0;
  -o-border-radius: 10px 10px 0 0;
  border-radius: 10px 10px 0 0;
}

.s-modal-head span {
  color: #171b1c;
  font-size: 1.1em;
  font-weight: 600;
}

.s-modal-in {
  padding: 25px;
}

.fixed {
  position: fixed;
}

.mx-auto {
  margin: 0 auto;
}

.absolute {
  position: absolute;
}

.relative {
  position: relative;
}

.flex {
  display: flex;
}

.items-center {
  align-items: center;
}

.justify-center {
  justify-content: center;
}

.block {
  display: block;
}

.text-center {
  text-align: center;
}

.s-modal-content-in {
  padding: 20px;
}

.s-modal-content-in textarea {
  min-height: 150px !important;
  height: 150px;
}

.need-login-icon svg {
  width: 200px;
  height: 200px;
}

.need-login-txt span {
  margin-top: 20px;
  font-weight: 700;
  color: #171b1c;
  font-size: 14px;
}

.need-login-txt a {
  margin: 10px 0 0;
  padding: 5px 20px;
  display: inline-block;
  text-align: center;
  background: #01d4ff;
  font-weight: 700;
  color: #fff;
  font-size: 14px;
}

.need-login-txt {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.need-login-modal .s-modal-content {
  height: 460px;
  padding-top: 15px;
}

.share-actions ul {
  margin: -10px;
}

.share-actions ul li {
  padding: 10px;
  list-style-type: none;
}

.share-action-btn a {
  padding: 10px;
}

.share-action-btn a svg {
  width: 25px !important;
  height: 25px !important;
}

.share-social-icon svg {
  width: 150px;
  height: 150px;
}

.share-social-txt span {
  margin: 10px 0 0;
  font-weight: 700;
  color: #171b1c;
}

.share-social-input {
  text-align: center;
  margin: 10px 0 0;
}

.share-social-input p {
  font-weight: 700;
  color: #171b1c;
  font-size: 1.5em;
  margin: 0 0 10px;
}

.share-social-input span {
  padding: 12px;
  border: 1px solid #e0e0e0;
  color: #888;
  font-weight: 500;
  font-size: .9em;
}

.copy-text {
  top: 50%;
  right: 10px;
  transform: translate(0, -50%);
}

.copy-text button {
  border: 1px solid #e0e0e0;
  width: 30px;
  height: 30px;
}

.copy-text button:focus {
  outline: none;
}

.copy-text button svg {
  width: 21px;
  height: 21px;
  fill: #555;
}

.share-social-modal .s-modal-content {
  height: 460px;
}

.product-area-box a {
  padding: 40px;
  text-align: center;
  font-size: 1.5em;
  color: #171b1c;
  overflow:hidden;
  font-weight: 600;
  position:relative;
  -webkit-box-shadow: rgba(9, 28, 46, .08) 0 .25rem 2.5rem 0;
  -moz-box-shadow: rgba(9, 28, 46, .08) 0 .25rem 2.5rem 0;
  -ms-box-shadow: rgba(9, 28, 46, .08) 0 .25rem 2.5rem 0;
  -o-box-shadow: rgba(9, 28, 46, .08) 0 .25rem 2.5rem 0;
  box-shadow: rgba(9, 28, 46, .08) 0 .25rem 2.5rem 0;
}

.product-area-box a::after {    
      content: "";
    background-image: url(../img/product_bg_black.png);
    position: absolute;
    top: -45px;
    right: 0px;
    bottom: 0px;
    left: -20px;
    opacity: 0.15;
    background-size: 150px;
    background-repeat: no-repeat;
    transition: 0.3s;
}

.product-area-box:hover a::after {
    content: "";
    background-image: url(../img/product_bg_blue.png);
    position: absolute;
    top: -20px;
    right: 0px;
    bottom: 0px;
    left: -45px;
    opacity: 0.70;
    background-size: 100px;
    background-repeat: no-repeat;
    transition: 0.3s;
    z-index: 1;
}



.history-img-area img {
  z-index: 10;
}



@media(max-width: 640px) {
  .s-modal-content {
    width: calc(100% - 20px);
  }
}

.dtsp-collapseButton{
	  display:none !important;
  }
   .dtsp-buttonGroup{
	  display:none !important;
  }
   .dtsp-titleRow{
	  display:none !important;
  }
  .dtsp-topRow{
	  pointer-events: none;
  }
  .dtsp-search{
	  padding-left:0px !important;
  }
  .dtsp-pill{
	  display:none !important;
  }
 ::placeholder{
	   color: #01d4ff  !important;
	   font-size:20px;
  }
  .dtsp-searchIcon{
	   display:none !important;
  }
  .dataTables_scrollBody{
	  overflow: auto;
     /*max-height: 100vh !important;
     height: auto !important;*/

  }
  .dtsp-nameColumn {
	  /*padding-left: 20px !important;*/
  }
  /* width */
	::-webkit-scrollbar {
		width: 5px;
	}

	/* Track */
	::-webkit-scrollbar-track {
		background: #f1f1f1;
	}

	/* Handle */
	::-webkit-scrollbar-thumb {
		background: #888;
	}

	/* Handle on hover */
	::-webkit-scrollbar-thumb:hover {
		background: #555;
}

table.dataTable tbody tr.selected>* {
    box-shadow: inset 0 0 0 9999px rgb(112 212 255);
    color: white;
}


div.dtsp-searchPane div.dataTables_scrollBody {
  height: auto !important;

}

div.dtsp-searchPane div.dataTables_wrapper {
	/*
padding-top: 5px;
    padding-bottom: 11px;*/
	padding-top: 10px;
	padding-bottom: 10px;

}

div.dtsp-searchPane div.dataTables_wrapper:hover {
border: 2px solid #f0f0f0 !important;

}

div.dtsp-searchPane div.dataTables_wrapper tr{
 padding-left: 5px;
	cursor:pointer !important;
}

div.dtsp-panesContainer div.dataTables_wrapper div.dataTables_scrollBody table tr>th, div.dtsp-panesContainer div.dataTables_wrapper div.dataTables_scrollBody table tr>td {
    padding: 2px 2px 2px 11px;
    font-size: 14px;
}
.dataTables_wrapper .dataTables_paginate .paginate_button.previous {
    transform: rotate(0deg);
}
.dataTables_wrapper .dataTables_paginate .paginate_button.next, .dataTables_wrapper .dataTables_paginate .paginate_button.previous {
    background-image: none;
    background-position: center;
    background-repeat: no-repeat;
    border: none;
}
div.dtsp-panesContainer div.dtsp-searchPanes div.dtsp-searchPane {
    flex-grow: 1;
    flex-shrink: 0;
    font-size: .9em;
    margin-top: 15px !important;
    -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -o-user-select: none;
  user-select: none;
}

div.dtsp-panesContainer div.dataTables_wrapper div.dataTables_scrollBody td.dtsp-nameColumn {
    width: 100% !important;
	 cursor: pointer !important;
}
div.dtsp-panesContainer div.dataTables_wrapper div.dataTables_scrollBody div.dtsp-nameCont span.dtsp-name {
    text-overflow: ellipsis;
    overflow: hidden;
    display: inline-block;
    vertical-align: middle;
    white-space: nowrap;
    flex-grow: 1;
    cursor: pointer !important;
    text-align: left;
}
div.dtsp-panesContainer div.dtsp-searchPanes div.dtsp-searchPane {
    flex-grow: 1;
    flex-shrink: 0;
    font-size: .9em;
    margin-bottom: 15px !important;
	margin-top: 0px !important;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -o-user-select: none;
    user-select: none;
}
.dataTables_wrapper .dataTables_paginate .paginate_button {
    background-color: rgba(0,0,0,0);
    border: 1px solid #eee;
    min-width: 42px;
    min-height: auto !important;
    border-radius: .75rem;
}

@media(max-width: 1280px) {


}

@media(max-width: 1060px) {

}

@media(max-width: 1024px) {

}

@media(max-width: 768px){

}


@media(max-width: 640px) {

}

@media(max-width: 550px) {

}

@media(max-width: 450px) {

}

@media only screen and (max-width: 1000px) {
  .categoryclasspc {
    display:block !important;
  }
  .categoryclassmobile {
    display:none !important;
  }
}

@media only screen and (min-width: 1000px) {
  .categoryclasspc {
    display:none !important;
  }
  .categoryclassmobile {
    display:block !important;
  }
}
